Get active permits
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/permits/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 10004,
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"variant": {
"id": 249,
"name": "Var45",
"brand": {
"code": "marla-store",
"id": 456,
"name": "Marla Store"
},
"identifier": "123-DEF12345",
"brand_identifier": "HATR",
"upc": 555555555202,
"retailer_identifiers": [
{
"id": 5642,
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"identifier": "SKU976",
"name": "Retailer Sample"
}
]
},
"connection": {
"id": 1000,
"connection_fee": {
"id": 1000,
"payment_model": "managed",
"payment_terms": "net60",
"net_price_method": "permit_cost",
"revshare_fraction": "0.4000",
"revc_fee_flat": "0.00",
"revc_fee_fraction": "0.0300",
"brand_fee_flat": "0.00",
"brand_flat_order_fee": "0.00",
"brand_percent_order_fee": "0.0000",
"effective_at": "2015-10-10T00:00:00Z"
}
},
"retailer_price": "12.99",
"retailer_cost": "8.99",
"pricing": {},
"attributes": {},
"start_at": "2021-07-10T15:24:56Z",
"end_at": "2022-11-10T15:24:56Z",
"is_in_effect": true,
"revoked_at": "2022-08-10T15:24:56Z",
"is_acknowledged": true,
"acknowledged_at": "2022-08-10T15:24:56Z"
}Products
Get active permits
Gets active permits by retailer ad permit IDs.
GET
/
v1
/
retailers
/
{retailer_pk}
/
permits
/
{id}
/
Get active permits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
Permit ID
Example:
10004
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Retailer price
Example:
"12.99"
Retailer cost
Example:
"8.99"
Time of permit beginning
Example:
"2021-07-10T15:24:56Z"
Time of permit ending
Example:
"2022-11-10T15:24:56Z"
true: Permit is in effect
false: Permit is not in effect
Example:
true
Time of when permit got revoked
Example:
"2022-08-10T15:24:56Z"
true: Permit is acknowledged
false: Permit is not acknowledged
Example:
true
Time of permit acknowledgement (UTC format)
Example:
"2022-08-10T15:24:56Z"
Was this page helpful?
⌘I
